## org.hibernate.transform
Class ToListResultTransformer

    java.lang.Object
      org.hibernate.transform.BasicTransformerAdapter
          org.hibernate.transform.ToListResultTransformer

All Implemented Interfaces:
  Serializable, ResultTransformer

    public class ToListResultTransformer

extends BasicTransformerAdapter
implements Serializable

Tranforms each result row from a tuple into a `List`, such that what you end up with is a `List` of `Lists`.

See Also:
  Serialized Form

Field Summary
`static ToListResultTransformer` `INSTANCE`

Method Summary
`Object` `transformTuple(Object[] tuple, String[] aliases)` Tuples are the elements making up each "row" of the query result.

Methods inherited from class org.hibernate.transform.BasicTransformerAdapter
`transformList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ToListResultTransformer INSTANCE

Method Detail

### transformTuple

    public Object transformTuple(Object[] tuple,
                                 String[] aliases)

  Tuples are the elements making up each "row" of the query result. The contract here is to transform these elements into the final row.

  Specified by:
    `transformTuple` in interface `ResultTransformer`
  Overrides:
    `transformTuple` in class `BasicTransformerAdapter`
  Parameters:
    `tuple` - The result elements
    `aliases` - The result aliases ("parallel" array to tuple)
  Returns:
    The transformed row.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.